Skip to main content
GET
List Member Rewards

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

memberId
string
required

Unique loyalty card assigned to a particular customer.

Example:

"MmFAzfDe"

Query Parameters

affordable_only
boolean

Limit the results to rewards that the customer can actually afford (only rewards whose price in points is not higher than the loyalty points balance on a loyalty card). Set this flag to true to return rewards which the customer can actually afford.

Response

200 - application/json

Returns a list of rewards for the given member_id. Returns a filtered list if the query parameter affordable_only is set to true.

Response body schema for GET v1/loyalties/members/{memberId}/rewards

object
enum<string>
default:list
required

The type of the object represented by JSON.

Available options:
list
data_ref
enum<string>
default:data
required

Identifies the name of the attribute that contains the array of loyalty reward objects.

Available options:
data
data
Loyalties Members Rewards List Response Body Data Item · object[]
required

Contains array of loyalty reward objects.

total
integer
required

Total number of loyalty reward objects.

Required range: x >= 0
Last modified on April 13, 2026